Releases Index
Update a personal webhook
View .md

Update a personal webhook subscription

PATCH
/me/webhooks/{id}

Authorization

bearerAuth
headerAuthorizationBearer <relk_… | relu_… | OAuth JWT>

Machine/operator tokens use the relk_ prefix; self-serve read-only user keys use relu_; Sign in with Releases supplies an OAuth access token. Required scope depends on the endpoint.

Path Parameters

id*string

Request Body

application/json
  1. body
url?string
Lengthlength <= 2048
format?string
Value in"json""slack""discord"
description?|null
enabled?boolean
disabledReason?string|null
releaseType?|null
sourceId?string|null
sourceSlug?string
productId?string|null
productSlug?string

Response Body

The updated subscription

application/json
  1. response
id*string
userId*string
scope*string
Value in"org""follows"
orgId*string|null
url*string
sourceId*string|null
productId*string|null
releaseType*|null
format*string
Value in"json""slack""discord"
enabled*boolean
description*string|null
secretVersion*integer
Range-9007199254740991 <= value <= 9007199254740991
createdAt*string
lastSuccessAt*string|null
lastErrorAt*string|null
lastErrorMsg*string|null
consecutiveFailures*integer
Range-9007199254740991 <= value <= 9007199254740991
disabledReason*string|null
failureStreakStartedAt*string|null
deliveryHealth*string
Value in"never_delivered""healthy""degraded""failing""paused""auto_paused"
deliveryHealthSummary*string
Example Request
curl -X PATCH 'https://api.releases.sh/v1/me/webhooks/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "userId": "string",  "scope": "org",  "orgId": "string",  "url": "string",  "sourceId": "string",  "productId": "string",  "releaseType": "feature",  "format": "json",  "enabled": true,  "description": "string",  "secretVersion": -9007199254740991,  "createdAt": "string",  "lastSuccessAt": "string",  "lastErrorAt": "string",  "lastErrorMsg": "string",  "consecutiveFailures": -9007199254740991,  "disabledReason": "string",  "failureStreakStartedAt": "string",  "deliveryHealth": "never_delivered",  "deliveryHealthSummary": "string"}